## gnome-font-dialog gnome-font-dialog |

## Functions

#define | GNOME_TYPE_FONT_SELECTION
#define | GNOME_FONT_SELECTION()
#define | GNOME_FONT_SELECTION_CLASS()
#define | GNOME_IS_FONT_SELECTION()
#define | GNOME_IS_FONT_SELECTION_CLASS()
#define | GNOME_FONT_SELECTION_GET_CLASS()
#define | GNOME_TYPE_FONT_DIALOG
#define | GNOME_FONT_DIALOG()
#define | GNOME_FONT_DIALOG_CLASS()
#define | GNOME_IS_FONT_DIALOG()
#define | GNOME_IS_FONT_DIALOG_CLASS()
#define | GNOME_FONT_DIALOG_GET_CLASS()
GtkWidget * | gnome_font_selection_new ()
GnomeFontFace * | gnome_font_selection_get_face ()
gdouble | gnome_font_selection_get_size ()
GnomeFont * | gnome_font_selection_get_font ()
void | gnome_font_selection_set_font ()
GType | gnome_font_preview_get_type ()
GtkWidget * | gnome_font_preview_new ()
void | gnome_font_preview_set_phrase ()
void | gnome_font_preview_set_font ()
void | gnome_font_preview_set_color ()
GType | gnome_font_dialog_get_type ()
GtkWidget * | gnome_font_dialog_new ()
GtkWidget * | gnome_font_dialog_get_fontsel ()
GtkWidget * | gnome_font_dialog_get_preview ()

## Signals

void | font-set | Run First

## Types and Values

| GnomeFontSelection
| GnomeFontSelectionClass
| GnomeFontPreview
| GnomeFontPreviewClass
| GnomeFontDialog
| GnomeFontDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ├── GtkContainer
                    │   ├── GtkBin
                    │   │   ╰── GtkWindow
                    │   │       ╰── GtkDialog
                    │   │           ╰── GnomeFontDialog
                    │   ╰── GtkBox
                    │       ╰── GtkHBox
                    │           ╰── GnomeFontSelection
                    ╰── GtkMisc
                        ╰── GtkImage
                            ╰── GnomeFontPreview

## Implemented Interfaces

GnomeFontSelection implements AtkImplementorIface, GtkBuildable and GtkOrientable.

GnomeFontPreview implements AtkImplementorIface and GtkBuildable.

GnomeFontDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### GNOME_TYPE_FONT_SELECTION

    #define GNOME_TYPE_FONT_SELECTION         (gnome_font_selection_get_type ())

### GNOME_FONT_SELECTION()

    #define GNOME_FONT_SELECTION(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_FONT_SELECTION, GnomeFontSelection))

### GNOME_FONT_SELECTION_CLASS()

    #define GNOME_FONT_SELECTION_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST    ((k), GNOME_TYPE_FONT_SELECTION, GnomeFontSelectionClass))

### GNOME_IS_FONT_SELECTION()

    #define GNOME_IS_FONT_SELECTION(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_FONT_SELECTION))

### GNOME_IS_FONT_SELECTION_CLASS()

    #define GNOME_IS_FONT_SELECTION_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE    ((k), GNOME_TYPE_FONT_SELECTION))

### GNOME_FONT_SELECTION_GET_CLASS()

    #define GNOME_FONT_SELECTION_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS  ((o), GNOME_TYPE_FONT_SELECTION, GnomeFontSelectionClass))

### GNOME_TYPE_FONT_DIALOG

    #define GNOME_TYPE_FONT_DIALOG         (gnome_font_dialog_get_type ())

### GNOME_FONT_DIALOG()

    #define GNOME_FONT_DIALOG(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_FONT_DIALOG, GnomeFontDialog))

### GNOME_FONT_DIALOG_CLASS()

    #define GNOME_FONT_DIALOG_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST    ((k), GNOME_TYPE_FONT_DIALOG, GnomeFontDialogClass))

### GNOME_IS_FONT_DIALOG()

    #define GNOME_IS_FONT_DIALOG(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_FONT_DIALOG))

### GNOME_IS_FONT_DIALOG_CLASS()

    #define GNOME_IS_FONT_DIALOG_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE    ((k), GNOME_TYPE_FONT_DIALOG))

### GNOME_FONT_DIALOG_GET_CLASS()

    #define GNOME_FONT_DIALOG_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS  ((o), GNOME_TYPE_FONT_DIALOG, GnomeFontDialogClass))

### gnome_font_selection_new ()

    GtkWidget *
    gnome_font_selection_new (void);

### gnome_font_selection_get_face ()

    GnomeFontFace *
    gnome_font_selection_get_face (GnomeFontSelection *fontsel);

### gnome_font_selection_get_size ()

    gdouble
    gnome_font_selection_get_size (GnomeFontSelection *fontsel);

### gnome_font_selection_get_font ()

    GnomeFont *
    gnome_font_selection_get_font (GnomeFontSelection *fontsel);

### gnome_font_selection_set_font ()

    void
    gnome_font_selection_set_font (GnomeFontSelection *fontsel,
                                   GnomeFont *font);

### gnome_font_preview_get_type ()

    GType
    gnome_font_preview_get_type (void);

### gnome_font_preview_new ()

    GtkWidget *
    gnome_font_preview_new (void);

### gnome_font_preview_set_phrase ()

    void
    gnome_font_preview_set_phrase (GnomeFontPreview *preview,
                                   const guchar *phrase);

### gnome_font_preview_set_font ()

    void
    gnome_font_preview_set_font (GnomeFontPreview *preview,
                                 GnomeFont *font);

### gnome_font_preview_set_color ()

    void
    gnome_font_preview_set_color (GnomeFontPreview *preview,
                                  guint32 color);

### gnome_font_dialog_get_type ()

    GType
    gnome_font_dialog_get_type (void);

### gnome_font_dialog_new ()

    GtkWidget *
    gnome_font_dialog_new (const gchar *title);

### gnome_font_dialog_get_fontsel ()

    GtkWidget *
    gnome_font_dialog_get_fontsel (GnomeFontDialog *gfsd);

### gnome_font_dialog_get_preview ()

    GtkWidget *
    gnome_font_dialog_get_preview (GnomeFontDialog *gfsd);

## Types and Values

### GnomeFontSelection

    typedef struct _GnomeFontSelection GnomeFontSelection;

### GnomeFontSelectionClass

    typedef struct _GnomeFontSelectionClass GnomeFontSelectionClass;

### GnomeFontPreview

    typedef struct _GnomeFontPreview GnomeFontPreview;

### GnomeFontPreviewClass

    typedef struct _GnomeFontPreviewClass GnomeFontPreviewClass;

### GnomeFontDialog

    typedef struct _GnomeFontDialog GnomeFontDialog;

### GnomeFontDialogClass

    typedef struct _GnomeFontDialogClass GnomeFontDialogClass;

## Signal Details

### The `“font-set”` signal

    void
    user_function (GnomeFontSelection *fontselection,
                   gpointer            arg1,
                   gpointer            user_data)

#### Parameters

fontselection | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First